corda / net.corda.node.utilities / java.time.Clock / awaitWithDeadline

# awaitWithDeadline

`@Suspendable fun Clock.awaitWithDeadline(deadline: Instant, future: Future<*> = GuavaSettableFuture.create<Any>()): Boolean`

Wait until the given Future is complete or the deadline is reached, with support for MutableClock implementations used in demos or testing. This will substitute a Fiber compatible Future so the current Strand is not blocked.

Return
true if the Future is complete, false if the deadline was reached.